---
schema_version: "1"
id: bcedf2d2ef929d1741af585ecf241a837a71763634478556ba9b3848dcfc62a1
title: POST /interaction/v1/interactions/contactexit/status
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/contactExitStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/contactExitStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: ef8004c9e72a3d90561e4b8c9586b9a9797d399d3f53ad6936e79120f30d6f51
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# POST /interaction/v1/interactions/contactexit/status

## Overview

Returns the status of a request to remove a contact from a journey or from one or more versions of a journey.

### JSON Parameters

<!--complex table-->

| Name              | Type   |              | Description                                                                                                     |
| ----------------- | ------ | ------------ | --------------------------------------------------------------------------------------------------------------- |
| **ContactKey**    | string | **Required** | ID that uniquely identifies a subscriber or contact. Include a single contact or an array of up to 50 contacts. |
| **DefinitionKey** | string | **Required** | Customer Key that uniquely identifies the journey. This key is the same for all versions of the journey.        |
| **Versions**      | array  |              | One or more versions of a journey from which to remove a contact.                                               |

### Responses

| Status  | Name                        | Type   | Description                                                                      |
| ------- | --------------------------- | ------ | -------------------------------------------------------------------------------- |
| **200** | &nbsp;                      | &nbsp; | \*\*\*\*                                                                         |
| &nbsp;  | contactKey                  | string | Contact that needs to be removed from a journey                                  |
| &nbsp;  | definitionKey               | string | Definition key of the journey                                                    |
| &nbsp;  | status                      | array  | Array of statuses of the contact in a given journey                              |
| &nbsp;  | status.version              | string | Version number of the journey                                                    |
| &nbsp;  | status.message              | string | Status of the request to remove a contact from a specific version of the journey |
| &nbsp;  | status.definitionInstanceId | string | Unique Id representing each instance of a contact in a journey                   |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactexit/status
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

[
    {
        "ContactKey": "CONTACTKEY 1",
        "DefinitionKey": "DEFINITIONKEY"
    },
    {
        "ContactKey": "CONTACTKEY 2",
        "DefinitionKey": "INVALID DEFINITIONKEY",
        "Versions" :[1,2]
    }
]
```

### Response: No Errors

```js
HTTP/1.1 200
[
    {
        "contactKey": "CONTACTKEY 1",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 1,
                "message": "Exit process Completed.",
                "definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c1e"
            },
            {
                "version": 1,
                "message": "Exit request Ignored - Duplicate Request"
            }
        ]
    },
    {
        "contactKey": "CONTACTKEY 2",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 1,
                "message": "Exit request Cancelled - Contact not in this Interaction"
            },
            {
                "version": 2,
                "message": "Exit process Completed.",
                "definitionInstanceId": "49c1b4f4-a46b-4e73-b31f-08446cac023a"
            }
        ]
    }
]
```

### Response: Processing Pending for Contact Request for Exit

```js
HTTP/1.1 200
[
    {
        "contactKey": "3",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 3,
                "message": "Exit request received for processing"
            }
        ]
    }
]
```

### Response: Successful Completion of Exit by Contact

```js
HTTP/1.1 200
[
    {
        "contactKey": "2",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 3,
                "message": "Exit process Completed.",
                "definitionInstanceId": "a47f5b0b-c673-4662-b043-bbd269f79c11"
            }
        ]
    }
]
```

### Response: Invalid contactKey

```js
HTTP/1.1 200
[
    {
        "contactKey": "<Invalid contactKey>",
        "definitionKey": "DEFINITIONKEY",
        "status": [
            {
                "version": 1,
                "message": "Exit request Cancelled - Contact not in this Interaction"
            }
        ]
    }
]
```

### Response: Runtime Error

```js
HTTP/1.1 400
{
    "message": "{{{ERROR_OPEN_SUPPORT_CASE}}}",
    "errorcode": 30000,
    "documentation": ""
}
```

### Response: Empty or Incorrect Authorization Token

```js
HTTP/1.1 401
{
    "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm",
    "errorcode": 0,
    "message": "Not Authorized"
}
```
